Package org.apache.calcite.avatica

## Class ColumnMetaData.ArrayType

- java.lang.Object
- - org.apache.calcite.avatica.ColumnMetaData.AvaticaType
  - - org.apache.calcite.avatica.ColumnMetaData.ArrayType

Enclosing class:
  ColumnMetaData

    public static class ColumnMetaData.ArrayType
    extends ColumnMetaData.AvaticaType

Array type.

### Field Summary

Fields
`private ColumnMetaData.AvaticaType` `component`

### Fields inherited from class org.apache.calcite.avatica.ColumnMetaData.AvaticaType

`id, name, rep`

### Constructor Summary

Constructors
`ArrayType​(int type, java.lang.String typeName, ColumnMetaData.Rep representation, ColumnMetaData.AvaticaType component)` Not for public use.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object o)`
`ColumnMetaData.AvaticaType` `getComponent()`
`int` `hashCode()`
`Common.AvaticaType` `toProto()`
`void` `updateComponentType​(ColumnMetaData.AvaticaType component)` Updates the component of `this` to the given value.

### Methods inherited from class org.apache.calcite.avatica.ColumnMetaData.AvaticaType

`columnClassName, fromProto, getName, setRep`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### component

    private ColumnMetaData.AvaticaType component

### Constructor Detail

#### ArrayType

    public ArrayType​(int type,
                     java.lang.String typeName,
                     ColumnMetaData.Rep representation,
                     ColumnMetaData.AvaticaType component)

Not for public use. Use `ColumnMetaData.array(AvaticaType, String, Rep)`.

### Method Detail

#### updateComponentType

    public void updateComponentType​(ColumnMetaData.AvaticaType component)

Updates the component of `this` to the given value. This is necessary to provide as accurate-as-possible of an `ArrayType` in the `Signature`. It cannot be done at initial construction of this object.

#### getComponent

    public ColumnMetaData.AvaticaType getComponent()

#### toProto

    public Common.AvaticaType toProto()

Overrides:
  `toProto` in class `ColumnMetaData.AvaticaType`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `ColumnMetaData.AvaticaType`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `ColumnMetaData.AvaticaType`